## Class sentry

boost::log::basic_formatting_ostream::sentry

## Synopsis

    // In header: <boost/log/utility/formatting_ostream.hpp>

    class sentry {
    public:
      // construct/copy/destruct
      explicit sentry(basic_formatting_ostream &);
      sentry(sentry const &);
      sentry & operator=(sentry const &);

      // public member functions
      explicit operator bool() const;
      bool operator!() const;
    };

## Description

### `sentry` public construct/copy/destruct

1.     explicit sentry(basic_formatting_ostream & strm);

2.     sentry(sentry const &);

3.     sentry & operator=(sentry const &);

### `sentry` public member functions

1.     explicit operator bool() const;

2.     bool operator!() const;